Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.filter
Interface PropertyIsLike

All Superinterfaces:
  Filter

    @XmlElement(value="PropertyIsLike")
    public interface PropertyIsLike

extends Filter

Filter operator that performs the equivalent of the SQL "`like`" operator on properties of a feature. The `PropertyIsLike` element is intended to encode a character string comparison operator with pattern matching. The pattern is defined by a combination of regular characters, the `wildCard` character, the `singleChar` character, and the `escape` character. The `wildCard` character matches zero or more characters. The `singleChar` character matches exactly one character. The `escape` character is used to escape the meaning of the `wildCard`, `singleChar` and `escape` itself.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Field Summary

Fields inherited from interface Filter
`EXCLUDE, INCLUDE`

Method Summary
`String` | `getEscape()` Returns the string that can be used in the "literal" property of this object to prefix one of the wild card characters to indicate that it should be matched literally in the content of the feature's property.
`Expression` | `getExpression()` Returns the expression whose value will be compared against the wildcard- containing string provided by the getLiteral() method.
`String` | `getLiteral()` Returns the wildcard-containing string that will be used to check the feature's properties.
`String` | `getSingleChar()` Returns the string that can be used in the "literal" property of this object to match exactly one character.
`String` | `getWildCard()` Returns the string that can be used in the "literal" property of this object to match any sequence of characters.

Methods inherited from interface Filter
`accept, evaluate`

Method Detail

### getExpression

    @XmlElement(value="PropertyName")
    Expression getExpression()

  Returns the expression whose value will be compared against the wildcard- containing string provided by the getLiteral() method.

### getLiteral

    @XmlElement(value="Literal")
    String getLiteral()

  Returns the wildcard-containing string that will be used to check the feature's properties.

### getWildCard

    @XmlElement(value="wildCard")
    String getWildCard()

  Returns the string that can be used in the "literal" property of this object to match any sequence of characters.

  The default value for this property is the one character string "%".

### getSingleChar

    @XmlElement(value="singleChar")
    String getSingleChar()

  Returns the string that can be used in the "literal" property of this object to match exactly one character.

  The default value for this property is the one character string "_".

### getEscape

    @XmlElement(value="escape")
    String getEscape()

  Returns the string that can be used in the "literal" property of this object to prefix one of the wild card characters to indicate that it should be matched literally in the content of the feature's property. The default value for this property is the single character "'".

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.